## Apache Zeta Components Manual :: Docs For Class ezcConsoleTableOptions

### ConsoleTools::ezcConsoleTableOptions

### Class ezcConsoleTableOptions

Struct class to store the options of the ezcConsoleTable class.

This class stores the options for the ezcConsoleTable class.

Source for this file: /ConsoleTools/src/options/table.php

    ezcBaseOptions
       |
       --ezcConsoleTableOptions

Version: | //autogen//

### Properties

string | read/write | `$colPadding` Padding characters for side padding between data and lines.
mixed | read/write | `$colWidth` Either 'auto' for automatic selection of column widths, or an array of column widths like array( 10, 30, 10 ).
int | read/write | `$colWrap` Wrap style of text contained in strings. See ezcConsoleTable::WRAP_AUTO, ezcConsoleTable::WRAP_NONE and ezcConsoleTable::WRAP_CUT.
string | read/write | `$corner` Character to use for drawing line corners. Null to switch off.
int | read/write | `$defaultAlign` Standard column alignment, applied to cells that have to explicit alignment assigned. See ezcConsoleTable::ALIGN_LEFT, ezcConsoleTable::ALIGN_RIGHT, ezcConsoleTable::ALIGN_CENTER and ezcConsoleTable::ALIGN_DEFAULT.
string | read/write | `$defaultBorderFormat` Standard border format, applied to rows that have 'default' as the border format.
string | read/write | `$defaultFormat` Standard column content format, applied to cells that have "default" as the content format.
string | read/write | `$lineHorizontal` Character to use for drawing horizontal lines. Null to switch off.
string | read/write | `$lineVertical` Character to use for drawing vertical lines. Null to switch off.
int | read/write | `$widthType` Type of the given table width (fixed or maximal value).

### Member Variables

protected mixed | `$properties = array( 'colWidth' => 'auto', 'colWrap' => ezcConsoleTable::WRAP_AUTO, 'defaultAlign' => ezcConsoleTable::ALIGN_LEFT, 'colPadding' => ' ', 'widthType' => ezcConsoleTable::WIDTH_MAX, 'lineVertical' => '-', 'lineHorizontal' => '|', 'corner' => '+', 'defaultFormat' => 'default', 'defaultBorderFormat' => 'default', )`

### Method Summary

public void | `__construct( $options )` Construct a new options object.

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __construct

void __construct( array(string=>mixed) $options )

Construct a new options object.

NOTE: For backwards compatibility reasons the old method of instantiating this class is kept, but the usage of the new version (providing an option array) is highly encouraged.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array(string=>mixed) | The initial options to set.

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | If the value for a property is out of range.
`ezcBasePropertyNotFoundException` | If the value for the property options is not an instance of

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseOptions::__construct()` | Construct a new options object.

Documentation generated by phpDocumentor 1.4.3